com.r3corda.node.services.monitor / TransactionBuildResult / ProtocolStarted

# ProtocolStarted

`class ProtocolStarted : TransactionBuildResult`

State indicating that a protocol is managing this request, and that the client should track protocol state machine updates for further information. The monitor will separately receive notification of the state machine having been added, as it would any other state machine. This response is used solely to enable the monitor to identify the state machine (and its progress) as associated with the request.

### Parameters

`transaction` - the transaction created as a result, in the case where the protocol has completed.

### Constructors

<init> | `ProtocolStarted(fiberId: Long, transaction: SignedTransaction?, message: String?)` State indicating that a protocol is managing this request, and that the client should track protocol state machine updates for further information. The monitor will separately receive notification of the state machine having been added, as it would any other state machine. This response is used solely to enable the monitor to identify the state machine (and its progress) as associated with the request.

### Properties

fiberId | `val fiberId: Long`
message | `val message: String?`
transaction | `val transaction: SignedTransaction?`